Built script error while building the compiler

Hi,

I am trying to build the Swift compiler locally. I don't have XCode installed. Here is what I have done so far:

  • Cloned the repo
  • Installed cmake and ninja using brew install cmake ninja
  • Tried to build Swift using ./utils/build-script --release-debuginfo --debug-swift command.

Now the error I am getting is:

CMake Error at cmake/Modules/CompilerRTDarwinUtils.cmake:67 (message):
  Failed to determine SDK version for "macosx" SDK
Call Stack (most recent call first):
  cmake/Modules/CompilerRTDarwinUtils.cmake:124 (find_darwin_sdk_version)
  cmake/config-ix.cmake:395 (darwin_test_archs)
  CMakeLists.txt:235 (include)

Can someone please help me?

Thanks,

You need Xcode 11.3 to build on macOS. See https://github.com/apple/swift#getting-started for more information.

1 Like

Thanks for the help man appreciate it. Downloading and installing now.

Terms of Service

Privacy Policy

Cookie Policy